package com.xhkjedu.sexam.mapper.paperstudent;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.paperstudent.EPaperStudent;
import com.xhkjedu.sexam.model.paperstudent.EPaperStudentQuestion;
import com.xhkjedu.sexam.vo.paperstudent.PsqAnswerVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Description 学生试卷试题
 * @Author WN
 * Date 2022/7/27 15:07
 **/
@Repository
public interface EPaperStudentQuestionMapper extends TkMapper<EPaperStudentQuestion> {

    //根据学生试题id获取试题正确答案
    PsqAnswerVo getPaperQuestionAnswer(@Param("epsqid")Integer epsqid);

    //提交单题
    void updateStuAnswer(@Param("q")EPaperStudentQuestion q);
}
